%define Summary A Java based project manager

Summary: 	%Summary
Name: 		openproj
Version:	1.4
Release:	%mkrel 1
License: 	GPL
Group: 		Office
URL:		http://openproj.org/
Source0: 	%{name}-%{version}.tar.xz
Source1:        %{name}
Source2:        %{name}.xml
Source4:        samples.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	java >= 1.6.0-4

%description
OpenProj is a free, open source desktop alternative to Microsoft Project.
If you are managing a group project we recommend Project-ON-Demand.
If you want a free replacement to commercial desktop software, then
OpenProj is perfect.

%prep

%setup -q

%install

export DONT_STRIP=1

rm -rf %{buildroot}

#Copy Files
mkdir -p %{buildroot}/%{_datadir}/%{name}
cp -af . %{buildroot}/%{_datadir}/%{name}

mkdir -p %{buildroot}%{_bindir}
install -m 0755 %SOURCE1 %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/mime/packages
install -m 0644 %SOURCE2 %{buildroot}%{_datadir}/mime/packages

# samples
bzip2 -cd %SOURCE4 | tar xf - -C %{buildroot}%{_datadir}/%{name}


#Make Menu
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=OpenProj
Comment=Project Management
Exec=%{name} 
Icon=taskmanagement_section.png
Terminal=false
Type=Application
StartupNotify=true
Categories=GNOME;GTK;Office;Development;ProjectManagement;X-MandrivaLinux-Office-TasksManagement;
EOF


%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig
%{update_menus}
%{update_desktop_database}
%{update_mime_database}

%postun
/sbin/ldconfig
%{clean_menus}
%{clean_desktop_database}
%{clean_mime_database}

%files 
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/mime/packages/*.xml
%{_datadir}/applications/%{name}.desktop

%changelog
* Tue Apr 03 2012 Neal <nealbrks0 at gmail dot com> 1.4-1pclos2012
- process

* Tue Apr 03 2012 MBantz <martin dot bantz at gmail dot com> 1.4-1pclos2012
- To 64 bit repo
 
* Sat Aug 01 2009 slick50 <lxgator@gmail.com> 1.4-1pclos2009
- 1.4

* Tue Apr 08 2008 rifter <rifter4444 at googlemail dat cam> 1.0-1pclos2007
- changed the copy path to use the topdir macro
- 1.0

* Tue Oct 02 2007 Texstar <texstar@gmail.com> 0.9.6-1pclos2007
- import into pclos 2007
